/*	--*- c -*--
 * Copyright (C) 2014 Enrico Scholz <enrico.scholz@sigma-chemnitz.de>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.
 */

#if 0
static void vm012_convert_none(void *dst, void const *src,
			       unsigned int w, unsigned int h)
{
#endif
	typedef struct {
		pix_t		d[8];
	}			kernel_t;

	pix_t			*out = dst;
	kernel_t const		*in = src;
	kernel_t const		*end = src + w * h * sizeof(pix_t);

	_Static_assert(sizeof *in == 8 * sizeof *out, "size mismatch");

	while (likely(in < end)) {
		kernel_t	tmp;

		memcpy(&tmp, in, sizeof tmp);
		++in;

		*out++ = tmp.d[0];
		*out++ = tmp.d[4];
		*out++ = tmp.d[1];
		*out++ = tmp.d[5];
		*out++ = tmp.d[2];
		*out++ = tmp.d[6];
		*out++ = tmp.d[3];
		*out++ = tmp.d[7];

		memcpy(&tmp, in, sizeof tmp);
		++in;

		*out++ = tmp.d[7];
		*out++ = tmp.d[3];
		*out++ = tmp.d[6];
		*out++ = tmp.d[2];
		*out++ = tmp.d[5];
		*out++ = tmp.d[1];
		*out++ = tmp.d[4];
		*out++ = tmp.d[0];
	}
#if 0
}
#endif
