#if 0
static void run_test_10(unsigned int const src[],
			unsigned int const ref[],
			enum vita1300_subsampling_mode mode,
			unsigned int w, unsigned int h, 
			int s_offs, int d_offs)
{
#endif
	size_t const		guard_sz = 64;
	unsigned char		guard_val = 0x23;

	size_t			len = w*h;
	size_t const 		buf_sz = ((len + s_offs) * sizeof(pix_t) + 
					  2 * guard_sz);

	unsigned char		src_buf[buf_sz];
	unsigned char		dst_buf[buf_sz];
	size_t			s_start = guard_sz + s_offs * sizeof(pix_t);
	size_t			d_start = guard_sz + d_offs * sizeof(pix_t);
	pix_t * const		src_ptr = (void *)&src_buf[s_start];
	pix_t * const		dst_ptr = (void *)&dst_buf[d_start];

	size_t volatile		i;
	enum vita1300_result	rc;

	memset(src_buf,                                  guard_val, s_start);
	memset(src_buf + s_start + len * sizeof(pix_t), ~guard_val, guard_sz);
	memset(dst_buf, 0x42, buf_sz);

	for (i = 0; i < len; ++i)
		src_ptr[i] = src[i];

	rc = vita1300_convert(dst_ptr, src_ptr, mode, w, h, num_bits);
	assert(rc == VITA1300_RES_OK);

	rc = vita1300_convert(src_ptr, src_ptr, mode, w, h, num_bits);
	assert(rc == VITA1300_RES_OK);

	for (i = 0; i < s_start; ++i)
		assert(src_buf[i] == guard_val);

	for (i = s_start + len * sizeof(pix_t); i < buf_sz; ++i)
		assert(src_buf[i] == (unsigned char)~guard_val);

	for (i = 0; i < len; ++i) {
		assert(dst_ptr[i] == src_ptr[i]);
		assert(src_ptr[i] == ref[i]);
	}

#if 0
}
#endif
